Wallets | Moov Documentation
Moov wallets provide flexibility on when and how accounts can move funds. Each Moov account is provided with a default wallet to store funds. Accounts can request additional general wallets to store more funds. With wallets, you can:
- Accumulate collected payments
- Transfer funds between Moov wallets for instantly available funds
- Pre-fund your wallet for faster payouts
- Cash out from your wallet at any time
Read our wallet source and wallet money movement documentation.
[**Create a wallet**
POST
/accounts/{accountID}/wallets](https://docs.moov.io/api/v2026.07.00/sources/wallets/create/)
[**Retrieve a wallet**
GET
/accounts/{accountID}/wallets/{walletID}](https://docs.moov.io/api/v2026.07.00/sources/wallets/get/)
[**List wallets**
GET
/accounts/{accountID}/wallets](https://docs.moov.io/api/v2026.07.00/sources/wallets/list/)
[**Retrieve a wallet transaction**
GET
/accounts/{accountID}/wallets/{walletID}/transactions/{transactionID}](https://docs.moov.io/api/v2026.07.00/sources/wallets/get-transaction/)
[**List wallet transactions**
GET
/accounts/{accountID}/wallets/{walletID}/transactions](https://docs.moov.io/api/v2026.07.00/sources/wallets/list-transactions/)
[**Get adjustment**
GET
/accounts/{accountID}/adjustments/{adjustmentID}](https://docs.moov.io/api/v2026.07.00/sources/wallets/get-adjustment/)
[**List adjustments**
GET
/accounts/{accountID}/adjustments](https://docs.moov.io/api/v2026.07.00/sources/wallets/list-adjustments/)
[**Update a wallet**
PATCH
/accounts/{accountID}/wallets/{walletID}](https://docs.moov.io/api/v2026.07.00/sources/wallets/update/)